Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Authen-Captcha
Version:        1.023
Release:        alt1_15
Summary:        Perl extension for creating captchas
License:        GPLv2

URL:            http://search.cpan.org/dist/Authen-Captcha/
Source0:        http://www.cpan.org//authors/id/U/UN/UNRTST/Authen-Captcha-%{version}.tar.gz
Patch0:         perl-Authen-Captcha-1.023-taint.patch

BuildArch:      noarch
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(GD.pm)


Source44: import.info

%description
Authen::Captcha provides an object oriented interface to captcha file
creations. Captcha stands for Completely Automated Public Turning test to
tell Computers and Humans Apart.


%prep
%setup -q -n Authen-Captcha-%{version}
%patch0 -p1 -b .taint


%build
sed -i 's/\r//' license.txt
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes license.txt README
%{perl_vendor_privlib}/*


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.023-alt1_15
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.023-alt1_13
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.023-alt1_11
- fc import

